// Demo_WinDllDlg.h : Header-Datei
//

#if !defined(AFX_DEMO_WINDLLDLG_H__6D4CE1E6_61F1_11D4_9EFC_00A02436C4EF__INCLUDED_)
#define AFX_DEMO_WINDLLDLG_H__6D4CE1E6_61F1_11D4_9EFC_00A02436C4EF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDemo_WinDllDlg Dialogfeld

class CDemo_WinDllDlg : public CDialog
{
// Konstruktion
public:
	CDemo_WinDllDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CDemo_WinDllDlg)
	enum { IDD = IDD_DEMO_WINDLL_DIALOG };
	CButton	m_CommunicationSetting;
	CButton	m_StopMotion;
	CButton	m_SetVelocity;
	CButton	m_Enable;
	CButton	m_Disable;
	BOOL	m_EnableBySoftware;
	BOOL	m_EncoderIndexFound;
	BOOL	m_HallSensorFound;
	BOOL	m_PowerStageEnabled;
	BOOL	m_RotorPositionFound;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CDemo_WinDllDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CDemo_WinDllDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCommunicationSetting();
	afx_msg void OnDisable();
	afx_msg void OnEnable();
	afx_msg void OnSetVelocity();
	afx_msg void OnStopMotion();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	char m_Port[5];

	BOOL m_MsgBox;
	WORD m_SysConfig;
	BOOL UpdateStatus();
	BOOL InitDES();
	BOOL RestoreDES();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_DEMO_WINDLLDLG_H__6D4CE1E6_61F1_11D4_9EFC_00A02436C4EF__INCLUDED_)
